#
# spec file for package personal-firewall (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         personal-firewall
Version:      1.1
Release:      19
Copyright: GPL
Group: Networking/Security
Requires: ipchains iptables
Provides: personal-firewall
Summary:      Simple and efficient packet filter
Source0:	personal-firewall-%{version}.tar.bz2
Source1:	rc.config.personal-firewall
Patch0:       %{name}-%{version}.dif
BuildArchitectures: noarch

%description
The SuSE personal-firewall is activated by the variable
REJECT_ALL_INCOMING_CONNECTIONS in /etc/rc.config.d/security.rc.config.
The variable can be set to either "no", "yes", "masq", or one or more
interface names, seperated by spaces. The firewall script inserts firewall
rules that should not interfere with any other rules/rulesets and therefore
is fully compatible with the SuSEfirewall, working "on top" of the
SuSEfirewall rules. The script runs each time /etc/ppp/ip-up or
/etc/ppp/down is called to catch up with the changes in the nameserver
configuration as performed by the ppp subsystem.
NOTE: some protocols will fail if the personal-firewall is active.
Among these are ftp (PORT mode), irc (DCC mode, CTCP), quake, real-audio,
real-video and others that open secondary connections or that use UDP
datagrams.

Authors:
--------
    Roman Drahtmueller <draht@suse.de>

SuSE series: sec

%prep
%setup
%patch0 -p1

%build
#make

%post
sbin/insserv etc/init.d/personal-firewall.initial etc/init.d/personal-firewall.final
echo "Updating etc/rc.config.d/security.rc.config..."
if [ -x bin/fillup ] ; then
  if [ ! -f etc/rc.config.d/security.rc.config ]; then
	touch etc/rc.config.d/security.rc.config
  fi
  bin/fillup -q -d = etc/rc.config.d/security.rc.config var/adm/fillup-templates/rc.config.personal-firewall
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config.d/security.rc.config and /var/adm/fillup-templates/rc.config.personal-firewall and"
  echo "update by hand."
fi
[ "`cat accept_redirects 2>/dev/null`" = "0" ] && rm -f accept_redirects
[ "`cat send_redirects 2>/dev/null`" = "0" ] && rm -f send_redirects
[ "`cat log_martians 2>/dev/null`" = "1" ] && rm -f log_martians
[ "`cat rp_filter 2>/dev/null`" = "1" ] && rm -f rp_filter
exit 0

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
if [ ! -f $RPM_BUILD_ROOT/etc/rc.config.d/security.rc.config ]; then
	touch $RPM_BUILD_ROOT/etc/rc.config.d/security.rc.config
fi
install -o root -g root -m 755 SuSEpersonal-firewall $RPM_BUILD_ROOT/sbin/SuSEpersonal-firewall
install -o root -g root -m 755 personal-firewall.initial $RPM_BUILD_ROOT/etc/init.d/personal-firewall.initial
install -o root -g root -m 755 personal-firewall.final $RPM_BUILD_ROOT/etc/init.d/personal-firewall.final
rm -f $RPM_BUILD_ROOT/usr/sbin/rcpersonal-firewall
ln -s ../../etc/init.d/personal-firewall.final $RPM_BUILD_ROOT/usr/sbin/rcpersonal-firewall
install -m 644 $RPM_SOURCE_DIR/rc.config.personal-firewall $RPM_BUILD_ROOT/var/adm/fillup-templates

%files
%config /sbin/SuSEpersonal-firewall
%config /usr/sbin/rcpersonal-firewall
%config /etc/init.d/personal-firewall.initial
%config /etc/init.d/personal-firewall.final
/var/adm/fillup-templates/rc.config.personal-firewall

%postun
sbin/insserv etc/init.d/

%changelog -n personal-firewall
* Thu Sep 20 2001 - draht@suse.de
- personal-firewall.final must start at the end of the runlevel.
  Add more Required-Start-items.
* Wed Sep 19 2001 - draht@suse.de
- changed rcscript startup [active] color from bright yellow to
  violet (bugzilla #7863).
  /sbin/SuSEpersonal-firewall should warn to syslog about disabled
  ip-forwarding.
  rcscript status fixes.
* Fri Sep 14 2001 - draht@suse.de
- added transparent support for iptables
  added require: iptables to spec file
  obsolete: %%patch0
  new subversion number assigned to reflect the changes
* Mon Apr 30 2001 - draht@suse.de
- bugfixes:
  * do not try to nuke rules if error is detected
  * handle comments in nameserver line from resolv.conf
  * specfile changes (patch added)
* Tue Mar 13 2001 - ro@suse.de
- exit 0 in post
* Thu Jan 25 2001 - draht@suse.de
- removing of some files in / that have been left behind by a typo
  that caused uncritical malfunction of the script + fix of this.
* Tue Jan 23 2001 - draht@suse.de
- unset REJECT_INCOMING_CONNECTIONS (from yast2) caused a bug. Fixed.
* Thu Jan 18 2001 - draht@suse.de
- runlevels to start now 2,3,5
* Thu Jan 18 2001 - draht@suse.de
- change red color to yellow. Handle unset REJECT_INCOMING_CONNECTIONS
  better in init scripts.
* Fri Jan 12 2001 - draht@suse.de
- smarter dealing with shutdown sequence (Required-Stop: $network
  in personal-firewall.initial) + (refuse to really call the script
  with the stop argument in the final script if not called from a
  symlink.
  detection of modem device names if device "modem" is configured
  in REJECT_ALL_INCOMING_CONNECTIONS.
  Marked all files as %%config.
* Wed Jan 10 2001 - draht@suse.de
- #!/bin/sh -> #!/bin/bash, added support for 2.4 instead of
  whining. removed awk and sort from the list of needed programs,
  speedup.
* Fri Dec 29 2000 - draht@suse.de
- Added explicit additional blocking for open UDP sockets which makes
  a second start script in etc/init.d necessary (added, too) to make
  insserv happy.
  pac file got new description.
* Wed Dec 13 2000 - draht@suse.de
- spelling corrections, cleanup for init script, removed stupid
  SCANLOGD remains from initscript. Thanks to Pavel Jank!
* Tue Dec 12 2000 - draht@suse.de
- bug in braindead-checking of ipchains package installed squished.
* Mon Dec 04 2000 - draht@suse.de
- initial version
